libsmf

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
smfsh.c File Reference

"SMF shell", command line utility. More...

Go to the source code of this file.

## Data Structures
struct | command_struct

## Functions
int | main (int argc, char *argv[])

## Variables
smf_track_t * | selected_track = NULL
smf_event_t * | selected_event = NULL
smf_t * | smf = NULL
char * | last_file_name = NULL

## Detailed Description

"SMF shell", command line utility.

Definition in file smfsh.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 997 of file smfsh.c.

References smf_new().

## Variable Documentation

char* last_file_name = NULL

Definition at line 57 of file smfsh.c.

smf_event_t* selected_event = NULL

Definition at line 55 of file smfsh.c.

smf_track_t* selected_track = NULL

Definition at line 54 of file smfsh.c.

smf_t* smf = NULL

Definition at line 56 of file smfsh.c.

Referenced by smf_add_track(), smf_load(), smf_new(), and smf_track_remove_from_smf().